Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeCollision Class Reference

`#include <deScene.hpp>`

Inheritance diagram for IdeCollision:

[legend]
List of all members.

## Public Types
enum | deCollideDetail { deCollidePoint = 0x01, deCollideSphere = 0x02, deCollideAABB = 0x04, deCollideOBB = 0x08, deCollide_32Bit = 0x7fffffff }
| level of detail needed for collision More...
## Public Member Functions
virtual long | Release ()=0
| release the collision class (deletes it)
virtual void | Reset ()=0
| clear out all the collisions that have accrued
virtual long | GetNumCollisions ()=0
| returns the number of collisions accrued
virtual void | GetCollision (long ColNum, deCollideInfo &collision)=0
| retrieves a specific collision occurrence
virtual deBoolean | AddCollision (const deCollideInfo &collision)=0
## Protected Member Functions
virtual | ~IdeCollision ()

## Detailed Description

used to store & retrieve collision information. Related functions: IdeCollision_CreateCollision.

## Member Enumeration Documentation

enum IdeCollision::deCollideDetail

  | level of detail needed for collision Enumeration values:
  deCollidePoint | use a point or ray
  deCollideSphere | use a point with radius
  deCollideAABB | use axis-aligned bounding boxes
  deCollideOBB | use oriented bounding boxes
  deCollide_32Bit |

## Constructor & Destructor Documentation

virtual IdeCollision::~IdeCollision | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deBoolean IdeCollision::AddCollision | ( | const deCollideInfo & | collision | ) | `[pure virtual]`

| Implemented in deCollision.

virtual void IdeCollision::GetCollision | ( | long | ColNum,
|  | deCollideInfo & | collision
| ) | `[pure virtual]`

| retrieves a specific collision occurrence Implemented in deCollision.

virtual long IdeCollision::GetNumCollisions | ( |  | ) | `[pure virtual]`

| returns the number of collisions accrued Implemented in deCollision.

virtual long IdeCollision::Release | ( |  | ) | `[pure virtual]`

| release the collision class (deletes it) Implemented in deCollision.

virtual void IdeCollision::Reset | ( |  | ) | `[pure virtual]`

| clear out all the collisions that have accrued Implemented in deCollision.

The documentation for this class was generated from the following file:

- deScene.hpp